#ifndef LIB_CLOTH_H
#define LIB_CLOTH_H

#include "base/texture.h"
#include "lib/springobj.h"

class Cloth : public SpringObj {
protected:
	int level;
	Texture tex;

	box3f bbox;

	virtual bool createSpring(int index, Particle *v0, Particle *v1);

	virtual void clear();

public:
	virtual bool init(int level, ParSystem *parSys, SpringSystem *springSys, const char *filename);

	void render();

	void lockEdgeVertexes();

	void updateBBox();

	//todo - line intersection tests, for moving particles (line + sphere? have the line test return a distance?)
	//todo - move this back to the SpringObj base class when we extend our 
	const box3f &getBBox() const {return bbox;}

	//i'm slowly working on cloth face collision...
	int getTriCount() { return 2 * (level - 1) * (level - 1); }
	void getTri(int i, Particle **v);
};

#endif
