#ifndef LIB_SPRINGCHAR_H
#define LIB_SPRINGCHAR_H

#include "base/texture.h"
#include "lib/springobj.h"
#include "base/view.h"

class SpringChar : public SpringObj {
protected:
	Texture tex;
	const Texture *skyTexCubemap;	//apply this if you want some pretty reflections

	double damageSum;

	virtual void clear();

public:
	virtual bool init(ParSystem *parSys, SpringSystem *springSys);
	
	void resetShape();

	virtual void render(const View *view);

	void setSkyTex(const Texture *skyTexCubemap) { this->skyTexCubemap = skyTexCubemap; }

	void updateDamageSum();
	double getDamageSum() { return damageSum; }
};

#endif
